import { default as PropTypes } from 'prop-types';
/**
 * @param {AvatarProps} props
 * @returns {JSX.Element}
 */
declare function AvatarWithErrorBoundary(props: AvatarProps): JSX.Element;
declare namespace AvatarWithErrorBoundary {
    import propTypes = Avatar.propTypes;
    export { propTypes };
}
export default AvatarWithErrorBoundary;
/**
 * Avatar component
 */
export type AvatarProps = {
    src?: string;
    did?: string;
    size?: number;
    variant?: "circle" | "rounded" | "default";
    animation?: false | true;
    shape?: "" | "rectangle" | "square" | "hexagon" | "circle";
    blockiesPadding?: true | false;
    responsive?: false | true;
    useProxyFallback?: boolean;
} & Omit<import('../Img').ImgProps, "size" | "src">;
export { Avatar as AvatarProps };
/**
 * Avatar component
 * @typedef {{
 *  src?: string;
 *  did?: string;
 *  size?: number;
 *  variant?: 'circle' | 'rounded' | 'default';
 *  animation?: false | true;
 *  shape?: '' | 'rectangle' | 'square' | 'hexagon' | 'circle';
 *  blockiesPadding?: true | false;
 *  responsive?: false | true;
 *  useProxyFallback?: boolean;
 * } & Omit<import('../Img').ImgProps, 'size' | 'src'>} AvatarProps
 */
/**
 * @see 参考: https://github.com/blocklet/block-explorer/issues/478#issuecomment-1038954976
 * @param {AvatarProps} props
 * @returns {JSX.Element}
 */
declare function Avatar({ ...rawProps }: AvatarProps): JSX.Element;
declare namespace Avatar {
    export namespace propTypes_1 {
        let did: PropTypes.Requireable<string>;
        let size: PropTypes.Requireable<number>;
        let variant: PropTypes.Requireable<string>;
        let animation: PropTypes.Requireable<boolean>;
        let shape: PropTypes.Requireable<string>;
        let blockiesPadding: PropTypes.Requireable<boolean>;
        let responsive: PropTypes.Requireable<boolean>;
        let useProxyFallback: PropTypes.Requireable<boolean>;
    }
    export { propTypes_1 as propTypes };
}
